<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".views.paint.PaintActivity">


    <org.ntlab.acanthus_client.views.paint.PaintCanvas
        android:id="@+id/myCanvas"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1"
        tools:layout_editor_absoluteX="-16dp"
        tools:layout_editor_absoluteY="-16dp" />

    <Button
        android:id="@+id/button_clear"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:onClick="onClickClear"
        android:text="clear"
        app:layout_constraintBottom_toBottomOf="@+id/myCanvas"
        app:layout_constraintEnd_toEndOf="parent" />

    <Button
        android:id="@+id/button_Invite"
        android:layout_width="75dp"
        android:layout_height="90dp"
        android:layout_marginBottom="500dp"
        android:background="@android:drawable/btn_radio"
        android:onClick="onClickInvite"
        android:text="Invite uid:2"
        android:textColor="#000000"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@+id/myCanvas"
        app:layout_constraintHorizontal_bias="0.876"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.491" />

    <Button
        android:id="@+id/button_addPage"
        android:layout_width="72dp"
        android:layout_height="72dp"
        android:background="@android:drawable/presence_online"
        android:backgroundTint="#F4D5D5"
        android:onClick="onClickAddPage"
        android:text="pageNo"
        android:textColor="#FFFFFF"
        app:iconTint="#C88B8B"
        app:layout_constraintBottom_toTopOf="@+id/button_clear"
        app:layout_constraintEnd_toStartOf="@+id/button_Invite"
        app:layout_constraintHorizontal_bias="0.201"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.112" />

    <TextView
        android:id="@+id/textViewCurAid"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="aid"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.147"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.213" />

    <Button
        android:id="@+id/button_keep"
        android:layout_width="50dp"
        android:layout_height="50dp"
        android:background="@android:drawable/presence_online"
        android:backgroundTint="#00bcd4"
        android:text="✓"
        android:textColor="#FFFFFF"
        android:textSize="24sp"
        app:layout_constraintBottom_toTopOf="@+id/button_clear"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.955"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="1.0" />


</androidx.constraintlayout.widget.ConstraintLayout>